using System.Collections.Generic;
using System.Linq;

public abstract class UIPart
{
    protected List<UIDynamic> uiElements = new List<UIDynamic>();

    protected ActionListManager script { get; private set; }

    protected UIPart(ActionListManager script)
    {
        this.script = script;
    }

    public abstract void RefreshUI();

    public void RemoveAllUI()
    {
        Utils.RemoveUIElements(script, uiElements.Cast<object>().ToList());
        uiElements.Clear();
    }
}
